> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get journal entries

> Fetch journal entries for an organisation with optional filters and pagination.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /accounting_new/journal_entries
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /accounting_new/journal_entries:
    get:
      tags:
        - Accounting
      summary: Get journal entries
      description: >-
        Fetch journal entries for an organisation with optional filters and
        pagination.
      operationId: Get-journal-entries
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Limit
        - name: search_query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search Query
        - name: order
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: '-created_at'
            title: Order
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Id
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  In
        - name: posted_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Posted At
        - name: posted_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Posted At  In
        - name: posted_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Posted At  Gt
        - name: posted_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Posted At  Gte
        - name: posted_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Posted At  Lt
        - name: posted_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Posted At  Lte
        - name: description
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Description
        - name: description__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Description  Ilike
        - name: event
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event
        - name: event__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event  In
        - name: status_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/JournalEntryStatusType'
              - type: 'null'
            title: Status Type
        - name: status_type__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Type  In
        - name: job_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Job Id
        - name: lines__id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Id
        - name: lines__id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Id  In
        - name: lines__account_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Account Id
        - name: lines__account_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Account Id  In
        - name: lines__journal_entry_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Journal Entry Id
        - name: lines__journal_entry_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Journal Entry Id  In
        - name: lines__currency
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Currency
        - name: lines__currency__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Currency  In
        - name: lines__customer_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Customer Id
        - name: lines__customer_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Customer Id  In
        - name: lines__contract_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Contract Id
        - name: lines__contract_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Contract Id  In
        - name: lines__invoice_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Invoice Id
        - name: lines__invoice_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Invoice Id  In
        - name: lines__credit_note_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Credit Note Id
        - name: lines__credit_note_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Credit Note Id  In
        - name: lines__tax_jurisdiction_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Tax Jurisdiction Id
        - name: lines__tax_jurisdiction_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Tax Jurisdiction Id  In
        - name: lines__payment_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Payment Id
        - name: lines__payment_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Payment Id  In
        - name: lines__refund_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Refund Id
        - name: lines__refund_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Refund Id  In
        - name: lines__revenue_contract_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Revenue Contract Id
        - name: lines__revenue_contract_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Revenue Contract Id  In
        - name: lines__revenue_contract_item_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Revenue Contract Item Id
        - name: lines__revenue_contract_item_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Revenue Contract Item Id  In
        - name: lines__performance_obligation_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Performance Obligation Id
        - name: lines__performance_obligation_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Performance Obligation Id  In
        - name: lines__product_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Lines  Product Id
        - name: lines__product_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Lines  Product Id  In
        - name: lines__credits
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Credits
        - name: lines__credits__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Credits  Neq
        - name: lines__credits__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Credits  Gt
        - name: lines__credits__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Credits  Gte
        - name: lines__credits__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Credits  Lt
        - name: lines__credits__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Credits  Lte
        - name: lines__debits
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Debits
        - name: lines__debits__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Debits  Neq
        - name: lines__debits__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Debits  Gt
        - name: lines__debits__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Debits  Gte
        - name: lines__debits__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Debits  Lt
        - name: lines__debits__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Lines  Debits  Lte
        - name: account__id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Account  Id
        - name: account__id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Id  In
        - name: account__name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Name
        - name: account__name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Name  Ilike
        - name: account__description
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Description
        - name: account__account_category
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AccountCategory'
              - type: 'null'
            title: Account  Account Category
        - name: account__account_category__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Account Category  In
        - name: account__parent_path
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Parent Path
        - name: account__parent_path__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Parent Path  Ilike
        - name: account__balance_normality
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/BalanceNormalityNew'
              - type: 'null'
            title: Account  Balance Normality
        - name: account__balance_normality__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account  Balance Normality  In
        - name: account__is_parent
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Account  Is Parent
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JournalEntryStatusType:
      type: string
      enum:
        - pending
        - forecasted
        - estimated
        - posted
      title: JournalEntryStatusType
    AccountCategory:
      type: string
      enum:
        - Assets
        - Liabilities
        - Equity
        - Income
        - Expenses
      title: AccountCategory
    BalanceNormalityNew:
      type: string
      enum:
        - credit
        - debit
      title: BalanceNormalityNew
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````